.time-slots {
    display: flex;
    flex-wrap: wrap;
}
.time-slot-button {
    background-color: #f4f7f9;
    color: black;
    border: 1px solid #d2dce5;
    border-radius: 5px;
    padding: 5px 4px;
    margin: 5px;
    cursor: pointer;
    transition: background-color 0.3s, transform 0.2s;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}
.time-slot-button:hover {
    background-color: #0b0c63;
    transform: scale(1.05);
}
.time-slot-button.selected {
    background-color: #28a745;
    color: white;
}
.time-slot-button.selected::after {
    content: '✓';
    color: white;
    position: absolute;
    right: 44px;
    top: 15px;
    font-size: 1.2em;
}
/* Modal styles */
.modal1 {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
    justify-content: center; /* Center the loader */
    align-items: center; /* Center the loader */
    display: flex; /* Flexbox for centering */
}

/* Loader styles */
.loader {
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
